GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::network::ULTransitionTable Class Reference

ULTransitionTable The transition table of all the ULEvents, new ULActions, and ULStates. More...

`#include <gdcmULTransitionTable.h>`

## Public Member Functions

| ULTransitionTable ()
void | HandleEvent (Subject *s, ULEvent &inEvent, ULConnection &inConnection, bool &outWaitingForEvent, EEventID &outRaisedEvent) const
void | PrintTable () const

## Detailed Description

ULTransitionTable The transition table of all the ULEvents, new ULActions, and ULStates.

Based roughly on the solutions in player2.cpp in the boost examples and this so question: http://stackoverflow.com/questions/1647631/c-state-machine-design

The transition table is constructed of TableRows. Each row is based on an event, and an event handler in the TransitionTable object takes a given event, and then finds the given row.

Then, given the current state of the connection, determines the appropriate action to take and then the state to transition to next.

## Constructor & Destructor Documentation

gdcm::network::ULTransitionTable::ULTransitionTable | ( |  | ) |

## Member Function Documentation

void gdcm::network::ULTransitionTable::HandleEvent | ( | Subject * | s,
|  | ULEvent & | inEvent,
|  | ULConnection & | inConnection,
|  | bool & | outWaitingForEvent,
|  | EEventID & | outRaisedEvent
| ) |  | const

void gdcm::network::ULTransitionTable::PrintTable | ( |  | ) | const

The documentation for this class was generated from the following file:

- gdcmULTransitionTable.h